Name:		qubes-core-admin-client
Version:    4.0.28
Release:	1%{?dist}
Summary:	Qubes OS admin client tools

Group:		Qubes
License:	LGPLv2.1+
URL:		https://www.qubes-os.org

BuildRequires:	python2-setuptools
BuildRequires:	python2-devel
BuildRequires:	python%{python3_pkgversion}-setuptools
BuildRequires:	python%{python3_pkgversion}-devel
BuildRequires:	python%{python3_pkgversion}-sphinx
BuildRequires:	python%{python3_pkgversion}-dbus
Requires:   python%{python3_pkgversion}-qubesadmin
Requires:   python%{python3_pkgversion}-yaml
BuildArch:  noarch
Source0: %{name}-%{version}.tar.gz

%description
This package include managemt tools, like qvm-*.

%package -n python2-qubesadmin
Summary:    Python2 module qubesadmin
Requires:   python-daemon
Requires:   python-docutils
Requires:   python2-lxml

%description -n python2-qubesadmin
Python2 module qubesadmin.

%package -n python%{python3_pkgversion}-qubesadmin
Summary:    Python%{python3_pkgversion} module qubesadmin
%if 0%{?rhel} >= 7
Requires:   python-daemon
%else
Requires:   python3-daemon
%endif
Requires:   python%{python3_pkgversion}-docutils
Requires:   python%{python3_pkgversion}-lxml
Requires:   python%{python3_pkgversion}-xcffib
Conflicts:  qubes-manager < 4.0.6

%description -n python%{python3_pkgversion}-qubesadmin
Python3 module qubesadmin.

%prep
%setup -q


%build
make -C doc PYTHON=%{__python3} SPHINXBUILD=sphinx-build-%{python3_version} man


%install
rm -rf build
%make_install PYTHON=%{__python2}
rm -rf build
%make_install PYTHON=%{__python3}

make -C doc DESTDIR=$RPM_BUILD_ROOT \
    PYTHON=%{__python3} SPHINXBUILD=sphinx-build-%{python3_version} \
    install


%files
%defattr(-,root,root,-)
%doc LICENSE
%config /etc/xdg/autostart/qvm-start-gui.desktop
%{_bindir}/qubes-*
%{_bindir}/qvm-*
%{_mandir}/man1/qvm-*.1*
%{_mandir}/man1/qubes*.1*

%files -n python2-qubesadmin
%{python2_sitelib}/qubesadmin-*egg-info
%{python2_sitelib}/qubesadmin

%files -n python%{python3_pkgversion}-qubesadmin
%{python3_sitelib}/qubesadmin-*egg-info
%{python3_sitelib}/qubesadmin


%changelog
* Wed Oct 09 2019 Qubes OS Team <qubes-devel@groups.google.com>
- For complete changelog see: https://github.com/QubesOS/qubes-core-admin-client

* Wed Oct 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e770baf
- version 4.0.28

* Wed Oct 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 23982d1
- Make pylint happy

* Wed Oct 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7d2cc7b
- tools/qvm-start-gui: avoid starting a VM just to send it monitor layout

* Wed Oct 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 56618be
- Add run_service(..., autostart=False) argument

* Wed Oct 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a7f8ae0
- Add support for run_service(..., filter_esc=True) in a VM

* Wed Oct 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f867856
- rpm: fix release number

* Wed Oct 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 41552be
- backup/restore: make pylint happy

* Wed Oct 09 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - b9dd87b
- Fixed error with VM being incorrectly listed as its own dependency

* Wed Oct 09 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - f645acd
- dochelpers: make PEP8 happier

* Wed Oct 09 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - c5c66c4
- dochelpers: handle legacy sphinx library

* Wed Oct 09 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 86ee418
- Fix Sphinx 2 new API for Fedora 31+

* Wed Oct 09 2019 hexagonrecursion <52621858+hexagonrecursion@users.noreply.github.com> - 27f25ea
- Fix a pref name in the qvm-prefs man page

* Wed Oct 09 2019 hexagonrecursion <52621858+hexagonrecursion@users.noreply.github.com> - 2b8ba50
- Correct network-manager qubes service default

* Wed Oct 09 2019 hexagonrecursion <52621858+hexagonrecursion@users.noreply.github.com> - a92e2ef
- Clarify the network-manager qubes service default

* Wed Oct 09 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 992836f
- qvm-device: add manpage entry

* Wed Oct 09 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 5223843
- qvm-device: prevent parser allowing abbreviations

* Wed Oct 09 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - a40a4c2
- qvm-device: handle 'list-device-classes' and 'list-classes'

* Wed Oct 09 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 570a3e3
- qubesadmin: define methods list_vmclass and list_devicesclass

* Wed Oct 09 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - ae30da5
- qubesadmin: make PEP8 happy

* Wed Oct 09 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 074a60b
- qvm-check: fix from Marek's comment

* Wed Oct 09 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - c22d134
- qvm-check: refactor check mechanism and add filter for checking netvm

* Wed Oct 09 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - da0c74c
- devices: add missing docstring for _get_device_classes

* Wed Oct 09 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - a69ea4a
- devices: make iteration device classes compatible with Python2

* Wed Oct 09 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 851b627
- tools/qvm-device: make PEP8 happy

* Wed Oct 09 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 22fa92e
- tests/devices: add test for handling listing device classes

* Wed Oct 09 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 5414a4c
- tests/devices: make PEP8 happy

* Wed Oct 09 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e6090aa
- devices: handle listing of available device classes

* Wed Oct 09 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 059b7ac
- devices: make PEP8 happy

* Tue Sep 10 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f567d0a
- version 4.0.27

* Tue Sep 10 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 548feaf
- tests: check rejecting/accepting compression filters

* Tue Sep 10 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 98fd124
- backup/restore: add option to use uncommon compression filter anyway

* Tue Sep 10 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f61630c
- backup/restore: reject uncommon compression filters and improve header validation

* Tue Jul 30 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6f78465
- version 4.0.26

* Mon Jul 29 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e700af9
- tools/qvm-volume: add 'import' action

* Mon Jul 29 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fdc632c
- tools: reset private volume when importing template over existing one

* Mon Jul 29 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 21569b3
- tests: fix events tests on python3.7

* Mon Jul 29 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 291382c
- travis: drop python 3.4, add python 3.6 and 3.7

* Tue Jun 25 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b8ddb39
- Allow app.domains[vm] where vm is a QubesVM object

* Fri Jun 14 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7bca004
- Merge remote-tracking branch 'origin/pr/95'

* Fri Jun 14 2019 unman <unman@thirdeyesecurity.org> - 6f8ee53
- Remove unnecessary comma in qvm-backup.rst

* Thu May 30 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 19e286e
- travis: switch to xenial, update distributions

* Wed May 29 2019 Malte Leip <malte@leip.net> - 32538fa
- qvm-prefs: add --hide-default option

* Wed Apr 17 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c1be4cd
- Merge remote-tracking branch 'qubesos/pr/92'

* Tue Apr 16 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 37e4e4c
- tests: update yaml syntax in qvm-backup tests

* Tue Apr 16 2019 Conor Schaefer <conor@freedom.press> - 40eeddb
- Adds docs for clone ignore_errors, feeds linter

* Tue Apr 16 2019 Conor Schaefer <conor@freedom.press> - 55a22e7
- Adds support for `--ignore-errors` to qvm-clone CLI

* Sat Mar 09 2019 anadahz <andz@torproject.org> - 2f1be16
- Remove policy option from man page

* Thu Mar 07 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 080935a
- doc: typo fix

* Thu Mar 07 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 310a4f2
- version 4.0.25

* Thu Mar 07 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d7430d4
- Make pylint happy

